const request = require('../utils/request')

module.exports={ 
  //获取检索专利的范围
	getDataRangeRecord:(data)=>{
		return request.get('/xiaoshi-weixinback/patent/getDataRangeRecord',data)
	},
  //根据关键词获取列表(图片用于排序)接口(有图)
	getPatentVectorsByImage:(data,file)=>{
    return request.upload(file,data,'/xiaoshi-weixinback/patent/getPatentVectors')
  },
  //根据关键词获取列表(图片用于排序)接口(无图)
	getPatentVectors:(data)=>{
    return request.post('/xiaoshi-weixinback/patent/getPatentVectors',data,true,{'content-type': 'application/x-www-form-urlencoded'})
  },
  //根据申请号获取图片
	getPictureByNo:(data)=>{
		return request.post('/xiaoshi-weixinback/patent/getPictureByNo',data)
  },
  //根据专利号获取专利详情
	selectPatentInfoByPatentNo:(data)=>{
		return request.post('/xiaoshi-weixinback/patent/selectPatentInfoByPatentNo',data)
  },
  
  //查询监控记录的相关专利
	getPatentByRecord:(data)=>{
		return request.post('/xiaoshi-weixinback/patent/getPatentByRecord',data)
	},
 }
